#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;

int main()
{

    int n, k, cmax;

    cin >> n >> k >> cmax;

    long long niz[n], a, suma, tek_suma;

    for(int i=0; i<n; i++){
        cin >> a;
        niz[i] = a;
    }

    vector<long long> zbir_podnizova;

    for(int i = 0; i<k-1; i++){
        zbir_podnizova.push_back(1);
    }

    for(int i=0; i<n-k+1; i++){
        suma = 0;
        tek_suma = 0;
        for(int j=i; j<k+i; j++){
            suma = suma + niz[j];
        }

        tek_suma = suma;
        for(int z=i; z<k+i-1; z++){
            tek_suma = tek_suma - niz[z];
            zbir_podnizova[z-i] = tek_suma;
        }
        sort(zbir_podnizova.end(), zbir_podnizova.begin());
        for(int y=0; y<cmax-1; y++){
            suma = suma + zbir_podnizova[y];
        }
        if(suma < suma+zbir_podnizova[cmax-1]){
            suma = suma + zbir_podnizova[cmax-1];
        }
        cout << suma + " ";
    }

    return 0;
}